aboutsummaryrefslogtreecommitdiffstats
path: root/aai-traversal
diff options
context:
space:
mode:
authorKajur, Harish (vk250x) <vk250x@att.com>2018-10-17 18:30:52 -0400
committerKajur, Harish (vk250x) <vk250x@att.com>2018-10-17 18:36:28 -0400
commit147fdca35baf1fd119b0bac228fd26ccbfd60d48 (patch)
treeddeefe38457327cf9dbc0382ca1f3cc2985a2d15 /aai-traversal
parente2ed16bb8dd5d07dad2b96bd7f7ecb4aa8ac678c (diff)
Modify updateQueryData to support debugging mode
Issue-ID: AAI-1759 Change-Id: I37342496483573ad3adfb5acca963d16b3ec33a9 Signed-off-by: Kajur, Harish (vk250x) <vk250x@att.com>
Diffstat (limited to 'aai-traversal')
-rw-r--r--aai-traversal/src/main/scripts/install/updateQueryData.sh28
1 files changed, 24 insertions, 4 deletions
diff --git a/aai-traversal/src/main/scripts/install/updateQueryData.sh b/aai-traversal/src/main/scripts/install/updateQueryData.sh
index a5723d0..7b5d1b3 100644
--- a/aai-traversal/src/main/scripts/install/updateQueryData.sh
+++ b/aai-traversal/src/main/scripts/install/updateQueryData.sh
@@ -25,6 +25,10 @@ PROGNAME=$(basename $0)
PROJECT_HOME=/opt/app/aai-traversal
OUTFILE=$PROJECT_HOME/logs/misc/${PROGNAME}.log.$(date +\%Y-\%m-\%d)
+if [ "$1" = "--debug" ]; then
+ set -x;
+fi;
+
TS=$(date "+%Y-%m-%d %H:%M:%S")
CHECK_USER="aaiadmin"
@@ -49,7 +53,11 @@ echo "Begin putTool for widget $filename" | tee -a $OUTFILE
vers=`grep model-invariant-id $filepath|cut -d':' -f2|cut -d'"' -f2`
# last parameter will skip put if it exists
resource=service-design-and-creation/models/model/$vers
-$PROJECT_HOME/scripts/putTool.sh $resource $filepath 412 >> $OUTFILE 2>&1 || error_exit "$resource $filepath" $j
+if [ "$1" = "--debug" ]; then
+ bash -x $PROJECT_HOME/scripts/putTool.sh $resource $filepath 412 >> $OUTFILE 2>&1 || error_exit "$resource $filepath" $j
+else
+ $PROJECT_HOME/scripts/putTool.sh $resource $filepath 412 >> $OUTFILE 2>&1 || error_exit "$resource $filepath" $j
+fi;
echo "End putTool for widget $filename" | tee -a $OUTFILE
done
@@ -62,7 +70,11 @@ echo "Begin putTool for named-query $filename" | tee -a $OUTFILE
vers=`grep named-query-uuid $filepath|cut -d':' -f2|cut -d'"' -f2`
# last parameter will skip put if it exists
resource=service-design-and-creation/named-queries/named-query/$vers
-$PROJECT_HOME/scripts/putTool.sh $resource $filepath 412 >> $OUTFILE 2>&1 || error_exit "$resource $filepath" $j
+if [ "$1" = "--debug" ]; then
+ bash -x $PROJECT_HOME/scripts/putTool.sh $resource $filepath 412 >> $OUTFILE 2>&1 || error_exit "$resource $filepath" $j
+else
+ $PROJECT_HOME/scripts/putTool.sh $resource $filepath 412 >> $OUTFILE 2>&1 || error_exit "$resource $filepath" $j
+fi;
echo "End putTool for named-query $filename" | tee -a $OUTFILE
done
@@ -75,7 +87,11 @@ echo "Begin putTool for resource model $filename" | tee -a $OUTFILE
vers=`grep model-invariant-id $filepath|cut -d':' -f2|cut -d'"' -f2`
# last parameter will skip put if it exists
resource=service-design-and-creation/models/model/$vers
-$PROJECT_HOME/scripts/putTool.sh $resource $filepath 412 >> $OUTFILE 2>&1 || error_exit "$resource $filepath" $j
+if [ "$1" = "--debug" ]; then
+ bash -x $PROJECT_HOME/scripts/putTool.sh $resource $filepath 412 >> $OUTFILE 2>&1 || error_exit "$resource $filepath" $j
+else
+ $PROJECT_HOME/scripts/putTool.sh $resource $filepath 412 >> $OUTFILE 2>&1 || error_exit "$resource $filepath" $j
+fi;
echo "End putTool for resource model $filename" | tee -a $OUTFILE
done
@@ -88,7 +104,11 @@ echo "Begin putTool for service model $filename" | tee -a $OUTFILE
vers=`grep model-invariant-id $filepath|cut -d':' -f2|cut -d'"' -f2`
# last parameter will skip put if it exists
resource=service-design-and-creation/models/model/$vers
-$PROJECT_HOME/scripts/putTool.sh $resource $filepath 412 >> $OUTFILE 2>&1 || error_exit "$resource $filepath" $j
+if [ "$1" = "--debug" ]; then
+ bash -x $PROJECT_HOME/scripts/putTool.sh $resource $filepath 412 >> $OUTFILE 2>&1 || error_exit "$resource $filepath" $j
+else
+ $PROJECT_HOME/scripts/putTool.sh $resource $filepath 412 >> $OUTFILE 2>&1 || error_exit "$resource $filepath" $j
+fi;
echo "End putTool for service model $filename" | tee -a $OUTFILE
done